com.impinj.octane

## Enum TagFilterMode

- java.lang.Object
- - java.lang.Enum<TagFilterMode>
  - - com.impinj.octane.TagFilterMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TagFilterMode>

      public enum TagFilterMode
      extends java.lang.Enum<TagFilterMode>

  enumerates the different ways the two tag filters can be combined during the inventory operation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Filter1AndFilter2` Tag must match both filter 1 and filter 2
    `Filter1OrFilter2` Tag must match either filter 1 or filter 2
    `None` Do not apply any tag filters
    `OnlyFilter1` Apply only filter 1
    `OnlyFilter2` Apply only filter 2
    `UseTagSelectFilters` Enable tag select filter interface

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static TagFilterMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TagFilterMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### None

          public static final TagFilterMode None

      Do not apply any tag filters

    - #### OnlyFilter1

          public static final TagFilterMode OnlyFilter1

      Apply only filter 1

    - #### OnlyFilter2

          public static final TagFilterMode OnlyFilter2

      Apply only filter 2

    - #### Filter1AndFilter2

          public static final TagFilterMode Filter1AndFilter2

      Tag must match both filter 1 and filter 2

    - #### Filter1OrFilter2

          public static final TagFilterMode Filter1OrFilter2

      Tag must match either filter 1 or filter 2

    - #### UseTagSelectFilters

          public static final TagFilterMode UseTagSelectFilters

      Enable tag select filter interface

  - ### Method Detail

    - #### values

          public static TagFilterMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagFilterMode c : TagFilterMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagFilterMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns:
        the enumeration as an integer value